## pim-data-exporter 20.12.3

=== debian/changelog ===
pim-data-exporter (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)
  * Remove old lintian override.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:30:21 +0000

pim-data-exporter (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:03:40 +0000

pim-data-exporter (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:16:19 +0000

pim-data-exporter (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:36:52 +0000

pim-data-exporter (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 10:01:05 +0000
